package org.apache.xerces.xni;

public interface XMLResourceIdentifier {
  String getBaseSystemId();
  
  String getExpandedSystemId();
  
  String getLiteralSystemId();
  
  String getPublicId();
  
  void setBaseSystemId(String paramString);
  
  void setExpandedSystemId(String paramString);
  
  void setLiteralSystemId(String paramString);
  
  void setPublicId(String paramString);
}
